tourism_card:
  label: Tourism Card
  namespace: Molecules/TM - Cards
  use: '@molecules/tm-cards/tourism-card/tourism-card.twig'
  description: Tourism Card
  libraries:
    - tourism_card_lib:
        css:
          component:
            ../styles/tourism-card.css: {weight: 10}

  fields:
    img_url:
      type: text
      label: The image url
      description: The image url
      preview: https://picsum.photos/560/320?rnd=a1
    img_alt:
      type: text
      label: The alt text
      description: The alt text
      preview: Logo of the Your County Pass
    title:
      type: text
      label: The title
      description: The title
      preview: Money saving tips you need to know
    card_link:
      type: text
      label: The link URL
      description: The link URL
      preview: www.train-operator.co.uk
    badge_top:
      type: text
      label: Badge top
      preview: 2FOR1<br>Admission
    badge_bottom:
      type: text
      label: Badge bottom
      preview: £14.50

  settings:
    badge_type:
      type: select
      label: Badge type
      description: Badge type
      options:
        none: None
        date: From date
        offer: Offer badge
    scrolling_left:
      type: boolean
      label: Display scrolling left
      preview: false
      default: false
    scrolling_right:
      type: boolean
      label: Display scrolling right
      preview: false
      default: false
